CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

{{

In this illustration, bit patters are set inside the 'SetVariables' cog and displayed
via the demo board LEDs through the 'DisplayVariables' cog.

The main cog that launches both 'SetVariables' and 'DisplayVariables' passes the
variables from one cog to the next by reference to the main cog by way of the variables
address within the main cog.  Notice I don't need to declare duplicate 'VARiables' within
the 'SetVariables' and 'DisplayVariables' cogs since I'm reading and writting directly to
an address.        
  
}}
OBJ

SetVariables                    : "SetVariables"
DisplayVariables                : "DisplayVariables"


VAR
  long  stack0[40]
  long  stack1[40]


''These are the variables that you want to pass
  long  SensorValue0
  long  SensorValue1
  long  SensorValue2
  long  SensorValue3
  
  '
  '    etc...
  '
  long  SensorValue4
  
''You can have as many variables here as your program will allow   


PUB Start
  cognew(_SetVariables, @stack0)   
  cognew(_DisplayVariables, @stack1)

PUB _SetVariables
     SetVariables.start(@SensorValue0) '<-- We just need to specify the first consecutive address                
  
PUB _DisplayVariables
     DisplayVariables.start(@SensorValue0) '<-- We just need to specify the first consecutive address